## org.biojava.bio.seq
Class FramedFeature.ReadingFrame

    java.lang.Object
      org.biojava.bio.seq.FramedFeature.ReadingFrame

All Implemented Interfaces:
  Serializable, Frame

Enclosing interface:
  FramedFeature

    public static class FramedFeature.ReadingFrame

extends Object
implements Frame, Serializable

A singleton to hold the frame information

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.biojava.bio.seq.Frame
`FRAME_0, FRAME_1, FRAME_2`

Method Summary
`int` `getFrame()` A method to get the frame information of the implementing object
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getFrame

    public int getFrame()

  Description copied from interface: `Frame`
  A method to get the frame information of the implementing object

  Specified by:
    `getFrame` in interface `Frame`
  Returns:
    an integer from 0 to 2 representing the frame.